#!/bin/bash

# 遍历文件夹下的所有*.yaml文件
for file in ./*.yml; do
  # 检查文件是否存在
  if [ -e "$file" ]; then
    echo "Processing $file ..."

    # 使用sed命令替换文本
    sed -i "s/hub-dev.cnbn.org.cn/chainmaker1.tencentcloudcr.com/g" "$file"

    # 显示替换结果
    echo "Replacement completed for $file"
  else
    echo "File $file does not exist."
  fi
done
