#!/bin/bash

check_service() {
  URL="$1"
  RESPONSE=$(curl -s "$URL")

  if [ -z "$RESPONSE" ]; then
      echo "$URL 服务不可用"
  else
      NAME=$(echo "$RESPONSE" | jq -r '.data.name')
      echo "$NAME 服务正常"
  fi
}

check_service "http://localhost:17782/api/v1/did-mgr/health"
check_service "http://localhost:17783/api/v1/did-mgr/health"
check_service "http://localhost:17784/api/v1/did-mgr/health"
